
Infrastructure - Task #3147

Story # 2829 (Closed): Structural changes to D1 Data Types schema for Version 2.0 release

Different types of contactSubjects of NodeList

2012-08-22 18:20 - Robert Waltz

Status: Rejected Start date: 2012-08-22

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 30%

Category: d1_schemas Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: 2.0.0   

Description

We may to change the role of contactSubjects. A contact subject maybe administrative,managerial, or technical.

History

#1 - 2012-09-18 18:10 - Robert Waltz

- Milestone changed from None to CCI-1.1

- Assignee set to Robert Waltz

- Category set to d1_schemas

#2 - 2012-09-26 16:52 - Robert Waltz

- Milestone changed from CCI-1.1 to CCI-1.2

#3 - 2012-10-08 16:44 - Robert Waltz

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#4 - 2012-12-04 14:36 - Robert Waltz

- Target version deleted (Sprint-2012.46-Block.6.3)

#5 - 2013-10-02 21:38 - Robert Waltz

- Product Version set to 2.0.0

- Milestone changed from CCI-1.2 to CCI-2.0

#6 - 2014-01-06 22:35 - Robert Waltz

- Parent task changed from #2829 to #3755

#7 - 2014-01-06 22:41 - Robert Waltz

- Parent task changed from #3755 to #2829

#8 - 2014-07-09 20:13 - Ben Leinfelder

- Status changed from New to In Progress

If we want to distinguish types of contact subjects, I'd propose adding an optional "role" attribute to v2.Subject (extends v1.Subject)

#9 - 2014-07-30 02:59 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder
#10 - 2014-10-01 16:57 - Robert Waltz

- Target version set to CCI-2.0.0

#11 - 2015-01-06 19:10 - Dave Vieglais

- Assignee changed from Ben Leinfelder to Dave Vieglais

#12 - 2015-06-29 22:13 - Ben Leinfelder

- % Done changed from 0 to 30

Defer to future release? Does not seem like 2.0 will include this schema change

#13 - 2015-07-01 17:22 - Dave Vieglais

- Status changed from In Progress to Rejected

- translation missing: en.field_remaining_hours set to 0.0

Seems superfluous to the intent of the subject information in the nodelist. Can use out of band mechanisms to identify roles.
